package com.nisum.offertransactionservice.dao;

import com.nisum.offertransactionservice.dto.Offer;
import com.nisum.offertransactionservice.model.OfferLookup;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import javax.swing.text.html.Option;
import java.util.Collection;
import java.util.List;
import java.util.Optional;

public interface OfferLookupRepo extends JpaRepository<OfferLookup,String> {

    @Query(value= "SELECT * FROM offer_lookup WHERE id in :ids and offer_type = :offerType" , nativeQuery = true)
    public List<OfferLookup> findByHhId(@Param("ids") Collection<String> ids, @Param("offerType") String offerType);



}
